SDL_HasMouse(3)

NAME
SDL_HasMouse - Return whether a mouse is currently connected.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasMouse(void);

RETURN VALUE
Returns true if a mouse is connected, false otherwise.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetMice(3)